org.apache.solr.handler.dataimport

## Enum DIHLogLevels

- java.lang.Object
- - java.lang.Enum<DIHLogLevels>
  - - org.apache.solr.handler.dataimport.DIHLogLevels

- All Implemented Interfaces:
    Serializable, Comparable<DIHLogLevels>

      public enum DIHLogLevels
      extends Enum<DIHLogLevels>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLE_LOGGING`
    `ENABLE_LOGGING`
    `END_DOC`
    `END_ENTITY`
    `ENTITY_EXCEPTION`
    `ENTITY_META`
    `ENTITY_OUT`
    `NONE`
    `PRE_TRANSFORMER_ROW`
    `ROW_END`
    `START_DOC`
    `START_ENTITY`
    `TRANSFORMED_ROW`
    `TRANSFORMER_EXCEPTION`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DIHLogLevels` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DIHLogLevels[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START_ENTITY

          public static final DIHLogLevels START_ENTITY

    - #### END_ENTITY

          public static final DIHLogLevels END_ENTITY

    - #### TRANSFORMED_ROW

          public static final DIHLogLevels TRANSFORMED_ROW

    - #### ENTITY_META

          public static final DIHLogLevels ENTITY_META

    - #### PRE_TRANSFORMER_ROW

          public static final DIHLogLevels PRE_TRANSFORMER_ROW

    - #### START_DOC

          public static final DIHLogLevels START_DOC

    - #### END_DOC

          public static final DIHLogLevels END_DOC

    - #### ENTITY_OUT

          public static final DIHLogLevels ENTITY_OUT

    - #### ROW_END

          public static final DIHLogLevels ROW_END

    - #### TRANSFORMER_EXCEPTION

          public static final DIHLogLevels TRANSFORMER_EXCEPTION

    - #### ENTITY_EXCEPTION

          public static final DIHLogLevels ENTITY_EXCEPTION

    - #### DISABLE_LOGGING

          public static final DIHLogLevels DISABLE_LOGGING

    - #### ENABLE_LOGGING

          public static final DIHLogLevels ENABLE_LOGGING

    - #### NONE

          public static final DIHLogLevels NONE

  - ### Method Detail

    - #### values

          public static DIHLogLevels[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DIHLogLevels c : DIHLogLevels.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DIHLogLevels valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.